%define fname	libeatmydata

Summary:	A small wrapper to disable fsync and related functions
Name:		eatmydata
Version:	105
Release:	%mkrel 5
Group:		File tools
License:	GPLv3
URL:		https://launchpad.net/%{fname}
Source0:	https://launchpad.net/%{fname}/trunk/release-%{version}/+download/%{fname}-%{version}.tar.gz
Patch0:		fix-it.patch
Provides:	%{fname}

%description
libeatmydata is a small LD_PRELOAD library designed to (transparently) disable
fsync (and friends, like open(O_SYNC)). This has two side-effects: making
software that writes data safely to disk a lot quicker and making this software
no longer crash safe.

DO NOT use libeatmydata on software where you care about what it stores. It's
called libEAT-MY-DATA for a reason.

%prep
%setup -q -n %{fname}-%version
%autopatch -p1

%build
%configure
%make_build

%install
%make_install

%files
%doc README COPYING
%{_bindir}/*
%{_libdir}/*
%{_libexecdir}/eatmydata.sh



%changelog
* Tue Mar 15 2022 umeabot <umeabot> 105-5.mga9
+ Revision: 1791845
- Mageia 9 Mass Rebuild

* Thu Feb 13 2020 umeabot <umeabot> 105-4.mga8
+ Revision: 1512072
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 105-3.mga7
+ Revision: 1297549
- Mageia 7 Mass Rebuild

* Fri Nov 11 2016 tv <tv> 105-2.mga6
+ Revision: 1066497
- Patch 0: make it actually work (mga#19755)

* Sat Oct 15 2016 tv <tv> 105-1.mga6
+ Revision: 1060828
- new release

* Fri Oct 14 2016 tv <tv> 82-7.mga6
+ Revision: 1060824
- fix running urpmi testsuite under eatmydata
  (aka aria2c vs eatmydata: debian#765738, debian#702711)

* Thu Feb 11 2016 umeabot <umeabot> 82-6.mga6
+ Revision: 953805
- Mageia 6 Mass Rebuild

* Sat Sep 05 2015 blino <blino> 82-5.mga6
+ Revision: 873111
- use _libexecdir macro

* Wed Oct 15 2014 umeabot <umeabot> 82-4.mga5
+ Revision: 745064
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 82-3.mga5
+ Revision: 678914
- Mageia 5 Mass Rebuild

* Tue Oct 22 2013 umeabot <umeabot> 82-2.mga4
+ Revision: 541520
- Mageia 4 Mass Rebuild

* Sun Oct 13 2013 tv <tv> 82-1.mga4
+ Revision: 496153
- imported package eatmydata


* Sun Oct 13 2013 Thierry Vignaud <tv@mageia.org> 
- initial release
